View Issue Details

IDProjectCategoryView StatusLast Update
0010918LazarusWidgetsetpublic2008-07-10 01:00
ReporterFelipe Monteiro de CarvalhoAssigned ToVincent Snijders 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN)Product Build 
Target Version0.9.26Fixed in Version0.9.25 (SVN) 
Summary0010918: Correct the current OpenFileDialog code to work correctly with unicode
DescriptionMore details here:

http://wiki.lazarus.freepascal.org/LCL_Unicode_Support#Known_problems_with_Unicode_support
TagsNo tags attached.
Fixed in Revision14661
LazTarget0.9.26
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0010919 closedVincent Snijders Add unicode support to TWin32WSSelectDirectoryDialog 

Activities

Vincent Snijders

2008-03-01 22:47

manager   ~0018049

The code seems to work correctly, or rather I haven't been able to make it fail except for non-ascii chars in the initial directory.

But this code is a bit of a mess, so a clean up is a good idea.

Issue History

Date Modified Username Field Change
2008-03-01 22:38 Felipe Monteiro de Carvalho New Issue
2008-03-01 22:38 Felipe Monteiro de Carvalho Status new => assigned
2008-03-01 22:38 Felipe Monteiro de Carvalho Assigned To => Vincent Snijders
2008-03-01 22:38 Felipe Monteiro de Carvalho LazTarget => -
2008-03-01 22:38 Felipe Monteiro de Carvalho Widgetset => Win32
2008-03-01 22:39 Felipe Monteiro de Carvalho Relationship added related to 0010919
2008-03-01 22:47 Vincent Snijders LazTarget - => 0.9.26
2008-03-01 22:47 Vincent Snijders Note Added: 0018049
2008-03-01 22:47 Vincent Snijders Status assigned => confirmed
2008-03-04 09:10 Vincent Snijders Category - => Widgetset
2008-03-04 09:10 Vincent Snijders Summary Correct the current OpenFileDialog code to corretly work with unicode => Correct the current OpenFileDialog code to work correctly with unicode
2008-03-26 22:44 Vincent Snijders Fixed in Revision => 14661
2008-03-26 22:44 Vincent Snijders Status confirmed => resolved
2008-03-26 22:44 Vincent Snijders Fixed in Version => 0.9.25 (SVN)
2008-03-26 22:44 Vincent Snijders Resolution open => fixed
2008-04-13 15:15 Vincent Snijders Target Version => 0.9.26
2008-07-10 01:00 Marc Weustink Status resolved => closed